This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 840965

Summary: as7 plugin should not include thread ids as part of platform-mbean > threading resource configuration
Product: [Other] RHQ Project Reporter: Heiko W. Rupp <hrupp>
Component: PluginsAssignee: Armine Hovsepyan <ahovsepy>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: high    
Version: 4.4CC: ccrouch, hrupp, loleary, mfoley, snegrea
Target Milestone: ---   
Target Release: JON 3.1.1   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 837903 Environment:
Last Closed: 2013-09-03 11:13:49 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 837903    
Bug Blocks: 707223    
Attachments:
Description Flags
threadIds_NotAvailable none

Description Heiko W. Rupp 2012-07-17 13:45:53 EDT
+++ This bug was initially created as a clone of Bug #837903 +++

Right now the as7 plugin defines threading resources (key=core-service=platform-mbean,type=threading). Part of the configuration for this resource is a property called "All Thread Ids" which is described as "All live thread IDs. If a security manager is installed and the caller does not have ManagementPermission('monitor'), the result will be undefined." When editing the configuration it is not possible alter this list in any way (see threading-config-current.png). Also it does not make sense to try to alter this list, since its really just diagnostic information about the JVM.

My suggestion is to remove the "All Thread Ids" property from the resource configuration, simply because it is not a configuration property for this property. An alternative implementation could move this facility to an operation where by people are interested in getting the thread ids of the running jvm could do so as they are needed.

One side-effect of the "All Thread Ids" property is that the configuration for the threading resource keeps getting rediscovered every 30mins (see threading-config-history.png) This is because the value of the "All Thread Ids" property is constantly changing as the JVM executes so our config checker thread on the agent keeps finding an updated config each time it runs. 

The fix for this issue should make sure that the "All Thread Ids" property is removed for all AS7 instances added to inventory going forward, but also for all AS7 resources which were in the inventory prior to this fix (i.e. update those as part of upgrading)

--- Additional comment from ccrouch@redhat.com on 2012-07-05 15:01:04 EDT ---

Created attachment 596478 [details]
Threading resource configuration

--- Additional comment from ccrouch@redhat.com on 2012-07-05 15:02:15 EDT ---

Created attachment 596479 [details]
Threading resource configuration history

--- Additional comment from hrupp@redhat.com on 2012-07-09 06:13:22 EDT ---

Change in plugin has been pushed to master as e704b68

I do not think there is any need to change the update code, as I was having an AS in inventory that showed the thread ids in config, and after plugin update they were just gone.

--- Additional comment from ccrouch@redhat.com on 2012-07-09 13:28:12 EDT ---

As part of the QE for this issue we need to make sure that the thread ids are no longer getting collected for existing resources
Comment 1 Stefan Negrea 2012-07-31 05:49:12 EDT
release/jon3.1.x branch commit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=0b0c1cb24c75493e83dec0f435da04641031a3d1
Comment 2 John Sanda 2012-08-02 14:52:12 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-13 08:48:49 EDT
Created attachment 603988 [details]
threadIds_NotAvailable

verified.
Comment 4 Heiko W. Rupp 2013-09-03 11:13:49 EDT
Bulk closing of old issues in VERIFIED state.